# Renew session token

> Source: https://truto.one/docs/api-reference/admin/session-tokens/renew/

`POST /session-token/renew`

Resource: **Session tokens**

## Response body

- **`session_token`** _(string)_
  The same secret that was sent in. Renewal does not rotate it.
- **`expires_at`** _(string)_
  The new expiry.
- **`max_lifetime_at`** _(string)_
  Unchanged from when the session was minted.

## Code examples

### curl

```bash
curl -X POST 'https://api.truto.one/session-token/renew' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const response = await fetch('https://api.truto.one/session-token/renew', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/session-token/renew"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.post(url, headers=headers, params=params)
print(response.json())
```
